%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Python bindings for at-spi
Name:		pyatspi
Version:	2.8.0
Release:	6
License:	LGPLv2+ and GPLv2+
Group:		Development/Python
Url:		http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	python
BuildRequires:	python3
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.1
Requires:	at-spi2-core
Requires:	python-dbus
Obsoletes:	python-pyatspi < 2.8.0
Provides:	python-pyatspi = %{EVRD}
BuildArch:	noarch

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python client library for at-spi.

%files
%doc COPYING COPYING.GPL AUTHORS README
%doc examples/magFocusTracker.py
%{py_puresitedir}/pyatspi

#----------------------------------------------------------------------------

%package -n python3-pyatspi
Summary:	Python3 bindings for at-spi
Group:		Development/Python
Requires:	at-spi2-core
Requires:	python3-gi

%description -n python3-pyatspi
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This package includes a python3 client library for at-spi.

%files -n python3-pyatspi
%doc COPYING COPYING.GPL AUTHORS README
%{py3_puresitedir}/pyatspi/

#----------------------------------------------------------------------------

%prep
%setup -q

rm -rf /tmp/py3
cp -a . /tmp/py3/

%build
%configure2_5x \
	--build=%{_build}

%make

# Build the python3 module
pushd /tmp/py3
%configure2_5x --with-python=python3
%make
popd

%install
%makeinstall_std

pushd /tmp/py3
%makeinstall_std
popd

rm -f %{buildroot}%{_bindir}/magFocusTracker.py


%changelog
* Thu Sep 25 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.8.0-6
+ Revision: cdc67d0
- Adjust Requires and Obsoletes, spec cleanup


